# Created by pyp2rpm-3.3.2
%global pypi_name pymp4

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        1%{?dist}
Summary:        A Python parser for MP4 boxes

License:        Apache 2.0
URL:            https://github.com/beardypig/pymp4
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(construct) = 2.8.8
BuildRequires:  python3dist(setuptools)

%description


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(construct) = 2.8.8
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}



%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

#%check
#%{__python3} setup.py test

%files -n python3-%{pypi_name}
%{_bindir}/mp4dump
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Fri Apr 17 2020 Jakub Jelen <jjelen@redhat.com> - 1.1.0-1
- Initial package.

